Bug 1258690 - Boost 1.58 rebuild required
Summary: Boost 1.58 rebuild required
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mongodb
Version: 23
Hardware: x86_64
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Nathaniel McCallum
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F23BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2015-09-01 01:46 UTC by Adam Williamson
Modified: 2015-09-03 19:31 UTC (History)
9 users (show)

Fixed In Version: mongodb-3.0.4-4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-03 19:31:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2015-09-01 01:46:05 UTC
Filing this bug for blocker bureaucracy purposes. The update already exists:

https://bodhi.fedoraproject.org/updates/FEDORA-2015-14484

but we need to consider this a release blocking issue. The current stable mongodb depends on Boost 1.57, and this breaks repoclosure for the Server DVD:

 x86_64 Server repoclosure

Added x86_64 repo from /srv/pungi/23_Beta_TC1/23_Beta_TC1/Server/x86_64/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
   x86_64
Num Packages in Repos: 2265
package: mongodb-3.0.4-3.fc23.x86_64 from x86_64
  unresolved deps: 
     libboost_thread.so.1.57.0()(64bit)
     libboost_system.so.1.57.0()(64bit)
     libboost_program_options.so.1.57.0()(64bit)
     libboost_filesystem.so.1.57.0()(64bit)
package: mongodb-server-3.0.4-3.fc23.x86_64 from x86_64
  unresolved deps: 
     libboost_thread.so.1.57.0()(64bit)
     libboost_system.so.1.57.0()(64bit)
     libboost_program_options.so.1.57.0()(64bit)
     libboost_filesystem.so.1.57.0()(64bit)

https://fedorahosted.org/rel-eng/ticket/6237

this is an automatic blocker: "Unresolved dependencies on a release-blocking DVD-style (offline installer) image (failures of QA:Testcase_Mediakit_Repoclosure)" - https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process#Automatic_blockers

Comment 1 Kalev Lember 2015-09-03 19:31:11 UTC
mongodb-3.0.4-4.fc23 is in stable now.


Note You need to log in before you can comment on or make changes to this bug.